import { Base, Stream, Type } from "igniteui-webcomponents-core";
import { IZipEntry } from "igniteui-webcomponents-excel";
import { MemoryStream } from "igniteui-webcomponents-core";
import { WorkItem$1 } from "igniteui-webcomponents-excel";
/**
 * @hidden
 */
export declare class IGExcelSerializationProvider_SyncZipEntry extends Base implements IZipEntry {
    static $t: Type;
    private readonly c;
    private readonly a;
    readonly b: MemoryStream;
    constructor(a: string, b: boolean, c: MemoryStream);
    get name(): string;
    get isDirectory(): boolean;
    openReader(): WorkItem$1<Stream>;
}
